[_removed] yarn --flat from CI configuration

Authored by appsforartists on Thu, Nov 29, 1:51 AM.

Description

[_removed] yarn --flat from CI configuration

Summary:
It was being silently ignored because of pundle-dev's broken uws dependency. As soon as I fixed that and the caches cleared, CI started breaking because there are conflicts in devDependencies's transitive dependencies that haven't been addressed in resolutions.

Because yarn hoists by default, and the packages themselves don't have many dependencies, --flat is probably unnecessary. Having a bunch of resolutions for devDependencies is more likely to cause problems than allowing each dev dependency to have whatever version of a thing it wanted.

Reviewers: O2 Material Motion, Material Motion

Tags: Material Motion

Differential Revision: http://codereview.cc/D3487

Details

Committed
appsforartistsThu, Nov 29, 2:06 AM
Differential Revision
D3487: [_removed] yarn --flat from CI configuration
Parents
R13:2f9613ae5cc7: [_fixed] git merge to be --ff-only
Branches
Unknown
Tags
Unknown